Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.support
Class ArgumentBuilder

    java.lang.Object
      com.eviware.soapui.impl.wsdl.actions.iface.tools.support.ArgumentBuilder

    public class ArgumentBuilder

extends java.lang.Object

Utility for build commandline arguments from dialog input

Author:
  ole.matzura

Constructor Summary
`ArgumentBuilder(StringToStringMap values)`

Method Summary
`ArgumentBuilder` | `addArgs(java.lang.String... args)`
`boolean` | `addBoolean(java.lang.String name, java.lang.String arg)`
`boolean` | `addBoolean(java.lang.String name, java.lang.String arg, java.lang.String trueValue, java.lang.String falseValue)`
`boolean` | `addString(java.lang.String name, java.lang.String arg)`
`boolean` | `addString(java.lang.String name, java.lang.String arg, java.lang.String separator)`
`java.util.List<java.lang.String>` | `getArgs()`
`java.lang.String[]` | `getStringArgs()`
`ArgumentBuilder` | `startScript(java.lang.String script)`
`ArgumentBuilder` | `startScript(java.lang.String script, java.lang.String windowsExt, java.lang.String unixExt)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgumentBuilder

    public ArgumentBuilder(StringToStringMap values)

Method Detail

### getArgs

    public java.util.List<java.lang.String> getArgs()

### addString

    public boolean addString(java.lang.String name,
                             java.lang.String arg)

### addArgs

    public ArgumentBuilder addArgs(java.lang.String... args)

### addBoolean

    public boolean addBoolean(java.lang.String name,
                              java.lang.String arg)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### startScript

    public ArgumentBuilder startScript(java.lang.String script)

### addString

    public boolean addString(java.lang.String name,
                             java.lang.String arg,
                             java.lang.String separator)

### addBoolean

    public boolean addBoolean(java.lang.String name,
                              java.lang.String arg,
                              java.lang.String trueValue,
                              java.lang.String falseValue)

### startScript

    public ArgumentBuilder startScript(java.lang.String script,
                                       java.lang.String windowsExt,
                                       java.lang.String unixExt)

### getStringArgs

    public java.lang.String[] getStringArgs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.